diff --git a/Dockerfile b/Dockerfile
new file mode 100644
index 0000000..af8c0b1
--- /dev/null
+++ b/Dockerfile
@@ -0,0 +1,32 @@
+FROM node:18-alpine
+
+WORKDIR /app
+
+# install chromium
+RUN apk add --no-cache \
+    chromium \
+    nss \
+    freetype \
+    freetype-dev \
+    harfbuzz \
+    ca-certificates \
+    ttf-freefont
+
+# Tell Puppeteer to skip installing Chrome. We'll be using the installed package.
+ENV PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=true \
+    PUPPETEER_EXECUTABLE_PATH=/usr/bin/chromium-browser
+
+# install other requirements
+
+RUN apk add graphicsmagick ffmpeg ffmpeg-dev ghostscript
+
+# install node package
+
+COPY package*.json ./
+RUN npm install
+COPY . .
+
+# start app
+
+EXPOSE 9666
+CMD ["node", "spacedeck.js"]
diff --git a/tasks/main.yml b/tasks/main.yml
new file mode 100644
index 0000000..35ceb4d
--- /dev/null
+++ b/tasks/main.yml
@@ -0,0 +1,23 @@
+- ansible.builtin.import_role:
+    name: compose
+    tasks_from: facts
+  vars:
+    service_defaults:
+      name: spacedeck
+      directory: "{{ docker_dir }}/spacedeck"
+      domain: "spacedeck.example.org"
+      subdirs: ["databse", "storage"]
+      port: 9666
+      traefik: true
+      external: true
+      watchtower: true
+      autoheal: true
+      skip_network_definition: false
+
+- ansible.builtin.import_role:
+    name: compose
+    tasks_from: create_directories
+
+- ansible.builtin.import_role:
+    name: compose
+    tasks_from: deploy_docker
diff --git a/templates/docker-compose.yml.j2 b/templates/docker-compose.yml.j2
new file mode 100644
index 0000000..8c79b17
--- /dev/null
+++ b/templates/docker-compose.yml.j2
@@ -0,0 +1,13 @@
+version: "2.0"
+
+services:
+  spacedeck:
+    build: .
+    image: spacedeck/spacedeck-open
+    container_name: "{{ service_cfg.name }}"
+    restart: always
+    volumes:
+      - ./storage:/app/storage
+      - ./database:/app/database
+    labels: *base_labels
+    networks: *base_networks
